/*
 * source/edit/edit.h
 * SpacePigs VectorMania Edit part prototypes
 */

/* GADGET ID */
typedef enum gadgetid {
    GADGET_UP,
    GADGET_DOWN,
    GADGET_LEFT,
    GADGET_RIGHT,
    GADGET_ZOOMIN,
    GADGET_ZOOMOUT,
    GADGET_FLIP,
    GADGET_VERTEX,
    GADGET_SURFACE,
    GADGET_LINE,
    GADGET_ERASE,
    GADGET_GRAB,
    GADGET_BALL
} GADGETID;

/* global functions */
void initedit(void);
void closeedit(void);
void rescaleeditcord(int *wx, int *wy, WINDOWDATA * windat);
int checkeditdoubleclick(int x, int y, WINDOWTYPE type);
int checkifeditdoubleclick(int x, int y, WINDOWTYPE type);
void closeeditwindow(struct windowdata *windat);

/* IDCMP handlers */
int mouseselectdown(int x, int y, int doubleclick, struct windowdata * windat);
int mouseselectup(int x, int y, int doubleclick, struct windowdata * windat);
int mousemenudown(int x, int y, int doubleclick, struct windowdata * windat);
int mousemenuup(int x, int y, int doubleclick, struct windowdata * windat);
int gadgetdown(enum gadgetid id, int selected, int doubleclick, struct windowdata * windat);
int gadgetup(enum gadgetid id, int selected, int doubleclick, struct windowdata * windat);
int handlemenu(int menunum, int itemnum, int subnum, int doubleclick, struct windowdata * windat);
int handlemenu_end(struct windowdata * windat);
int rawkey(int key, int qualifier, int doubleclick, struct windowdata * windat);
void activewindow(struct windowdata * windat);
void inactivewindow(struct windowdata * windat);
void newsize(struct windowdata * windat);
