/*
 * source/data/GadgetImages.c
 * SpacePigs VectorMania
 * 
 * Gadgetimages
 */
 
#include <exec/types.h>
#include <intuition/intuition.h>

USHORT chip ImageDataErase[] =
{
    0xFFFF, 0xFFFF, 0xFFFF, 0xFC03, 0xF00F, 0xC01F, 0xFFFF, 0xFFFF,
    0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFC03, 0xF00F, 0xC01F, 0xFFFF,
    0xFFFF, 0xFFFF
};

USHORT chip ImageDataLine[] =
{
    0xFFFF, 0xDFFF, 0xE7FF, 0xF9FF, 0xFE7F, 0xFF9F, 0xFFE7, 0xFFFB,
    0xFFFF, 0xFFFF, 0xDFFF, 0xE7FF, 0xF9FF, 0xFE7F, 0xFF9F, 0xFFE7,
    0xFFFB, 0xFFFF
};

USHORT chip ImageDataSurface[] =
{
    0xFFFF, 0xFCFF, 0xFB7F, 0xF7BF, 0xEFDF, 0xDFEF, 0xC1F7, 0xFE07,
    0xFFFF, 0xFFFF, 0xFCFF, 0xFB7F, 0xF7BF, 0xEFDF, 0xDFEF, 0xC1F7,
    0xFE07, 0xFFFF
};

USHORT chip ImageDataVertex[] =
{
    0xFFFF, 0xFFFF, 0xEFFF, 0xFFF7, 0xFFFF, 0xFFFF, 0xFBFF, 0xFFFF,
    0xFFFF, 0xFFFF, 0xFFFF, 0xEFFF, 0xFFF7, 0xFFFF, 0xFFFF, 0xFBFF,
    0xFFFF, 0xFFFF
};

USHORT chip ImageDataFlip[] =
{
    0xFFFF, 0xC003, 0xFC3F, 0xFE7F, 0xFE7F, 0xFE7F, 0xFC3F, 0xC003,
    0xFFFF, 0xFFFF, 0xC003, 0xFC3F, 0xFE7F, 0xFE7F, 0xFE7F, 0xFC3F,
    0xC003, 0xFFFF
};

USHORT chip ImageDataZoomout[] =
{
    0xFFFF, 0xDFFB, 0xCFF3, 0xC3C3, 0xC003, 0xC3C3, 0xCFF3, 0xDFFB,
    0xFFFF, 0xFFFF, 0xDFFB, 0xCFF3, 0xC3C3, 0xC003, 0xC3C3, 0xCFF3,
    0xDFFB, 0xFFFF
};

USHORT chip ImageDataZoomin[] =
{
    0xFFFF, 0xFDBF, 0xF99F, 0xE187, 0xC003, 0xE187, 0xF99F, 0xFDBF,
    0xFFFF, 0xFFFF, 0xFDBF, 0xF99F, 0xE187, 0xC003, 0xE187, 0xF99F,
    0xFDBF, 0xFFFF
};

USHORT chip ImageDataRight[] =
{
    0xFFFF, 0xFE7F, 0xFE3F, 0xC00F, 0xC003, 0xC00F, 0xFE3F, 0xFE7F,
    0xFFFF, 0xFFFF, 0xFE7F, 0xFE3F, 0xC00F, 0xC003, 0xC00F, 0xFE3F,
    0xFE7F, 0xFFFF
};

USHORT chip ImageDataLeft[] =
{
    0xFFFF, 0xFE7F, 0xFC7F, 0xF003, 0xC003, 0xF003, 0xFC7F, 0xFE7F,
    0xFFFF, 0xFFFF, 0xFE7F, 0xFC7F, 0xF003, 0xC003, 0xF003, 0xFC7F,
    0xFE7F, 0xFFFF
};

USHORT chip ImageDataDown[] =
{
    0xFFFF, 0xF81F, 0xF81F, 0xF81F, 0xC003, 0xF00F, 0xFC3F, 0xFE7F,
    0xFFFF, 0xFFFF, 0xF81F, 0xF81F, 0xF81F, 0xC003, 0xF00F, 0xFC3F,
    0xFE7F, 0xFFFF
};

USHORT chip ImageDataUp[] =
{
    0xFFFF, 0xFE7F, 0xFC3F, 0xF00F, 0xC003, 0xF81F, 0xF81F, 0xF81F,
    0xFFFF, 0xFFFF, 0xFE7F, 0xFC3F, 0xF00F, 0xC003, 0xF81F, 0xF81F,
    0xF81F, 0xFFFF
};

USHORT chip ImageDataGrab1[] =
{
    0xFFFF, 0xFFF3, 0xFFCF, 0xE13F, 0xCC7F, 0xF13F, 0xF19F, 0xFE3F,
    0xFFFF, 0xFFFF, 0xFFF3, 0xFFCF, 0xE13F, 0xCC7F, 0xFF3F, 0xFF9F,
    0xFE3F, 0xFFFF, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0E00,
    0x0E00, 0x0000, 0x0000
};

USHORT chip ImageDataGrab2[] =
{
    0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xF1FF, 0xF1FF, 0xFFFF,
    0xFFFF, 0xFFFF, 0xFFF3, 0xFFCF, 0xFF3F, 0xC07F, 0xCE7F, 0xCE7F,
    0xE07F, 0xFFFF, 0xFFFF, 0xFFF3, 0xFFCF, 0xFF3F, 0xC07F, 0xC07F,
    0xC07F, 0xE07F, 0xFFFF, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000,
    0x0E00, 0x0E00, 0x0000, 0x0000
};

USHORT chip ImageDataBall[] =
{
  0xFFFF, 0xFFFF, 0xF80F, 0xF007, 0xF007, 0xF007, 0xF80F, 0xFFFF, 0xFFFF,
    0xFFFF, 0xFFFF, 0xF80F, 0xF007, 0xF007, 0xF007, 0xF80F, 0xFFFF, 0xFFFF
};

struct Image ImageErase1 =
{
    0, 0,			/* XY origin relative to container TopLeft */
    16, 9,			/* Image width and height in pixels */
    4,				/* number of bitplanes in Image */
    ImageDataErase,		/* pointer to ImageData */
    0x0003, 0x0000,		/* PlanePick and PlaneOnOff */
    NULL			/* next Image structure */
};

struct Image ImageErase2 =
{
    0, 0,			/* XY origin relative to container TopLeft */
    16, 9,			/* Image width and height in pixels */
    4,				/* number of bitplanes in Image */
    ImageDataErase,		/* pointer to ImageData */
    0x0006, 0x0001,		/* PlanePick and PlaneOnOff */
    NULL			/* next Image structure */
};

struct Image ImageLine1 =
{
    0, 0,			/* XY origin relative to container TopLeft */
    16, 9,			/* Image width and height in pixels */
    4,				/* number of bitplanes in Image */
    ImageDataLine,		/* pointer to ImageData */
    0x0003, 0x0000,		/* PlanePick and PlaneOnOff */
    NULL			/* next Image structure */
};

struct Image ImageLine2 =
{
    0, 0,			/* XY origin relative to container TopLeft */
    16, 9,			/* Image width and height in pixels */
    4,				/* number of bitplanes in Image */
    ImageDataLine,		/* pointer to ImageData */
    0x0006, 0x0001,		/* PlanePick and PlaneOnOff */
    NULL			/* next Image structure */
};

struct Image ImageSurface1 =
{
    0, 0,			/* XY origin relative to container TopLeft */
    16, 9,			/* Image width and height in pixels */
    4,				/* number of bitplanes in Image */
    ImageDataSurface,		/* pointer to ImageData */
    0x0003, 0x0000,		/* PlanePick and PlaneOnOff */
    NULL			/* next Image structure */
};

struct Image ImageSurface2 =
{
    0, 0,			/* XY origin relative to container TopLeft */
    16, 9,			/* Image width and height in pixels */
    4,				/* number of bitplanes in Image */
    ImageDataSurface,		/* pointer to ImageData */
    0x0006, 0x0001,		/* PlanePick and PlaneOnOff */
    NULL			/* next Image structure */
};

struct Image ImageVertex1 =
{
    0, 0,			/* XY origin relative to container TopLeft */
    16, 9,			/* Image width and height in pixels */
    4,				/* number of bitplanes in Image */
    ImageDataVertex,		/* pointer to ImageData */
    0x0003, 0x0000,		/* PlanePick and PlaneOnOff */
    NULL			/* next Image structure */
};

struct Image ImageVertex2 =
{
    0, 0,			/* XY origin relative to container TopLeft */
    16, 9,			/* Image width and height in pixels */
    4,				/* number of bitplanes in Image */
    ImageDataVertex,		/* pointer to ImageData */
    0x0006, 0x0001,		/* PlanePick and PlaneOnOff */
    NULL			/* next Image structure */
};

struct Image ImageZoomout1 =
{
    0, 0,			/* XY origin relative to container TopLeft */
    16, 9,			/* Image width and height in pixels */
    4,				/* number of bitplanes in Image */
    ImageDataZoomout,		/* pointer to ImageData */
    0x0003, 0x0000,		/* PlanePick and PlaneOnOff */
    NULL			/* next Image structure */
};

struct Image ImageZoomout2 =
{
    0, 0,			/* XY origin relative to container TopLeft */
    16, 9,			/* Image width and height in pixels */
    4,				/* number of bitplanes in Image */
    ImageDataZoomout,		/* pointer to ImageData */
    0x0006, 0x0001,		/* PlanePick and PlaneOnOff */
    NULL			/* next Image structure */
};

struct Image ImageZoomin1 =
{
    0, 0,			/* XY origin relative to container TopLeft */
    16, 9,			/* Image width and height in pixels */
    4,				/* number of bitplanes in Image */
    ImageDataZoomin,		/* pointer to ImageData */
    0x0003, 0x0000,		/* PlanePick and PlaneOnOff */
    NULL			/* next Image structure */
};

struct Image ImageZoomin2 =
{
    0, 0,			/* XY origin relative to container TopLeft */
    16, 9,			/* Image width and height in pixels */
    4,				/* number of bitplanes in Image */
    ImageDataZoomin,		/* pointer to ImageData */
    0x0006, 0x0001,		/* PlanePick and PlaneOnOff */
    NULL			/* next Image structure */
};

struct Image ImageLeft2 =
{
    0, 1,			/* XY origin relative to container TopLeft */
    16, 9,			/* Image width and height in pixels */
    4,				/* number of bitplanes in Image */
    ImageDataLeft,		/* pointer to ImageData */
    0x0006, 0x0001,		/* PlanePick and PlaneOnOff */
    NULL			/* next Image structure */
};

struct Image ImageDown1 =
{
    0, 0,			/* XY origin relative to container TopLeft */
    16, 9,			/* Image width and height in pixels */
    4,				/* number of bitplanes in Image */
    ImageDataDown,		/* pointer to ImageData */
    0x0003, 0x0000,		/* PlanePick and PlaneOnOff */
    NULL			/* next Image structure */
};

struct Image ImageDown2 =
{
    0, 0,			/* XY origin relative to container TopLeft */
    16, 9,			/* Image width and height in pixels */
    4,				/* number of bitplanes in Image */
    ImageDataDown,		/* pointer to ImageData */
    0x0006, 0x0001,		/* PlanePick and PlaneOnOff */
    NULL			/* next Image structure */
};

struct Image ImageUp1 =
{
    0, 0,			/* XY origin relative to container TopLeft */
    16, 9,			/* Image width and height in pixels */
    4,				/* number of bitplanes in Image */
    ImageDataUp,		/* pointer to ImageData */
    0x0003, 0x0000,		/* PlanePick and PlaneOnOff */
    NULL			/* next Image structure */
};

struct Image ImageUp2 =
{
    0, 0,			/* XY origin relative to container TopLeft */
    16, 9,			/* Image width and height in pixels */
    4,				/* number of bitplanes in Image */
    ImageDataUp,		/* pointer to ImageData */
    0x0006, 0x0001,		/* PlanePick and PlaneOnOff */
    NULL			/* next Image structure */
};

struct Image ImageRight1 =
{
    0, 1,			/* XY origin relative to container TopLeft */
    16, 9,			/* Image width and height in pixels */
    4,				/* number of bitplanes in Image */
    ImageDataRight,		/* pointer to ImageData */
    0x0003, 0x0000,		/* PlanePick and PlaneOnOff */
    NULL			/* next Image structure */
};

struct Image ImageRight2 =
{
    0, 1,			/* XY origin relative to container TopLeft */
    16, 9,			/* Image width and height in pixels */
    4,				/* number of bitplanes in Image */
    ImageDataRight,		/* pointer to ImageData */
    0x0006, 0x0001,		/* PlanePick and PlaneOnOff */
    NULL			/* next Image structure */
};

struct Image ImageLeft1 =
{
    0, 1,			/* XY origin relative to container TopLeft */
    16, 9,			/* Image width and height in pixels */
    4,				/* number of bitplanes in Image */
    ImageDataLeft,		/* pointer to ImageData */
    0x0003, 0x0000,		/* PlanePick and PlaneOnOff */
    NULL			/* next Image structure */
};

struct Image ImageFlip1 =
{
    0, 1,			/* XY origin relative to container TopLeft */
    16, 9,			/* Image width and height in pixels */
    4,				/* number of bitplanes in Image */
    ImageDataFlip,		/* pointer to ImageData */
    0x0003, 0x0000,		/* PlanePick and PlaneOnOff */
    NULL			/* next Image structure */
};

struct Image ImageFlip2 =
{
    0, 1,			/* XY origin relative to container TopLeft */
    16, 9,			/* Image width and height in pixels */
    4,				/* number of bitplanes in Image */
    ImageDataFlip,		/* pointer to ImageData */
    0x0006, 0x0001,		/* PlanePick and PlaneOnOff */
    NULL			/* next Image structure */
};

struct Image ImageGrab1 =
{
    0, 1,			/* XY origin relative to container TopLeft */
    16, 9,			/* Image width and height in pixels */
    4,				/* number of bitplanes in Image */
    ImageDataGrab1,		/* pointer to ImageData */
    0x000B, 0x0000,		/* PlanePick and PlaneOnOff */
    NULL			/* next Image structure */
};

struct Image ImageGrab2 =
{
    0, 1,			/* XY origin relative to container TopLeft */
    16, 9,			/* Image width and height in pixels */
    4,				/* number of bitplanes in Image */
    ImageDataGrab2,		/* pointer to ImageData */
    0x000F, 0x0001,		/* PlanePick and PlaneOnOff */
    NULL			/* next Image structure */
};

struct Image ImageBall1 =
{
    0, 0,			/* XY origin relative to container TopLeft */
    16, 9,			/* Image width and height in pixels */
    4,				/* number of bitplanes in Image */
    ImageDataBall,		/* pointer to ImageData */
    0x0003, 0x0000,		/* PlanePick and PlaneOnOff */
    NULL			/* next Image structure */
};

struct Image ImageBall2 =
{
    0, 0,			/* XY origin relative to container TopLeft */
    16, 9,			/* Image width and height in pixels */
    4,				/* number of bitplanes in Image */
    ImageDataBall,		/* pointer to ImageData */
    0x0006, 0x0001,		/* PlanePick and PlaneOnOff */
    NULL			/* next Image structure */
};
