/*
 * source/edit/edit_data.h
 * SpacePigs VectorMania Edit part
 */
 
#ifndef EDIT_GLOBAL
#define EDIT_GLOBAL extern
#endif

/* external globals */
extern WINDOWDATA editxwindow;
extern WINDOWDATA editywindow;
extern WINDOWDATA editzwindow;

/* internal variables */
EDIT_GLOBAL struct Cord3d cursor;
EDIT_GLOBAL struct Cord3d center;
EDIT_GLOBAL struct Cord3d editcord[EDITCORD_SIZE];
EDIT_GLOBAL struct Cord3d editdispcord[EDITCORD_SIZE];
EDIT_GLOBAL struct Cord3d editcord3d[EDITCORD_SIZE];
EDIT_GLOBAL char editcordstat[EDITCORD_SIZE];
EDIT_GLOBAL int numeditcords;
EDIT_GLOBAL char editcordselect[EDITCORD_SIZE];
EDIT_GLOBAL struct Cord3d grabcord[EDITCORD_SIZE];
EDIT_GLOBAL int numselect;
EDIT_GLOBAL char editdraw[EDITDRAW_SIZE + 1];
EDIT_GLOBAL int nextdraw;
EDIT_GLOBAL char editobjdraw[EDITDRAW_SIZE + 1];
EDIT_GLOBAL VECTFLOAT scale;
EDIT_GLOBAL int colorpoint;
EDIT_GLOBAL int colorselpoint;
EDIT_GLOBAL int colorsurf;
EDIT_GLOBAL int colorline;
EDIT_GLOBAL int colorcursor;
EDIT_GLOBAL struct Cord3d graborgin;
EDIT_GLOBAL int editballradie;
EDIT_GLOBAL int colorball;
EDIT_GLOBAL int editobj_rx;
EDIT_GLOBAL int editobj_ry;
EDIT_GLOBAL int editobj_rz;
EDIT_GLOBAL char objfilename[OBJFILENAMEMAX];
EDIT_GLOBAL TOOLTYPE currenttool;
EDIT_GLOBAL int realnumcords;
EDIT_GLOBAL int realnumselected;
EDIT_GLOBAL int grid;
